Bug 2018883 - plantuml error: Can\'t load library: /usr/lib/jvm/java-11-openjdk-11.0.13.0.8-1.fc34.x86_64/lib/libawt_xawt.so
Summary: plantuml error: Can\'t load library: /usr/lib/jvm/java-11-openjdk-11.0.13.0.8...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: plantuml
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sandipan Roy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-11-01 06:54 UTC by 319513897
Modified: 2022-01-10 14:17 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-01-10 14:17:13 UTC
Type: Bug


Attachments (Terms of Use)

Description 319513897 2021-11-01 06:54:43 UTC
All error msg is:

WARNING: error while running plantuml

b'Exception in thread "main" java.lang.UnsatisfiedLinkError: Can\'t load library: /usr/lib/jvm/java-11-openjdk-11.0.13.0.8-1.fc34.x86_64/lib/libawt_xawt.so\n\tat java.base/java.lang.ClassLoader.loadLibrary(ClassLoader.java:2630)\n\tat java.base/java.lang.Runtime.load0(Runtime.java:768)\n\tat java.base/java.lang.System.load(System.java:1837)\n\tat java.base/java.lang.ClassLoader$NativeLibrary.load0(Native Method)\n\tat java.base/java.lang.ClassLoader$NativeLibrary.load(ClassLoader.java:2442)\n\tat java.base/java.lang.ClassLoader$NativeLibrary.loadLibrary(ClassLoader.java:2498)\n\tat java.base/java.lang.ClassLoader.loadLibrary0(ClassLoader.java:2694)\n\tat java.base/java.lang.ClassLoader.loadLibrary(ClassLoader.java:2648)\n\tat java.base/java.lang.Runtime.loadLibrary0(Runtime.java:830)\n\tat java.base/java.lang.System.loadLibrary(System.java:1873)\n\tat java.desktop/java.awt.image.ColorModel$1.run(ColorModel.java:209)\n\tat java.desktop/java.awt.image.ColorModel$1.run(ColorModel.java:207)\n\tat java.base/java.security.AccessController.doPrivileged(Native Method)\n\tat java.desktop/java.awt.image.ColorModel.loadLibraries(ColorModel.java:206)\n\tat java.desktop/java.awt.image.ColorModel.<clinit>(ColorModel.java:219)\n\tat java.desktop/java.awt.image.BufferedImage.<clinit>(BufferedImage.java:286)\n\tat net.sourceforge.plantuml.FileFormat.<clinit>(FileFormat.java:92)\n\tat net.sourceforge.plantuml.Option.<init>(Option.java:95)\n\tat net.sourceforge.plantuml.Run.main(Run.java:91)\n'

This can be solve by install package java-openjdk. Please add it in plantuml's deplist.

Comment 1 Robin 2021-12-25 01:34:17 UTC
A potentially better solution is to add the following to the wrapper script:


    export JAVACMD_OPTS=-Djava.awt.headless=true

Comment 2 319513897 2021-12-26 14:05:31 UTC
emm, thanks. But why don't add it to recommend dependent? If so, it will be out-of-box. Just do not need any hacks.

Comment 3 Sandipan Roy 2022-01-10 14:17:13 UTC
All java related issues are solved with the new version.
Closing as rawhide, in case the same issue is found kindly reopen this bug.

Thanks.


Note You need to log in before you can comment on or make changes to this bug.